Bug 728356 - java.lang.NumberFormatException:For input string: "AutoGroup"
Summary: java.lang.NumberFormatException:For input string: "AutoGroup"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.1
Hardware: All
OS: All
urgent
high vote
Target Milestone: ---
: ---
Assignee: Jay Shaughnessy
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: jon30-bugs rhq41 rhq41-ui
TreeView+ depends on / blocked
 
Reported: 2011-08-04 20:06 UTC by Mike Foley
Modified: 2012-02-07 19:26 UTC (History)
2 users (show)

Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-07 19:26:23 UTC


Attachments (Terms of Use)

Description Mike Foley 2011-08-04 20:06:16 UTC
Description of problem:  java.lang.NumberFormatException:For input string: "AutoGroup"


Version-Release number of selected component (if applicable):


How reproducible:
sporadic

Steps to Reproduce:
1.  navigating resource tree.  
2.
3.
  
Actual results:


Expected results:


Additional info:
Globally uncaught exception
Severity :	
Error
	
Time :	
Thursday, August 4, 2011 4:01:57 PM Etc/GMT+4
Detail :	
java.lang.NumberFormatException:For input string: "AutoGroup"
--- STACK TRACE FOLLOWS ---
For input string: "AutoGroup"
    at Unknown.java_lang_NumberFormatException_$NumberFormatException__Ljava_lang_NumberFormatException_2Ljava_lang_String_2Ljava_lang_NumberFormatException_2(Unknown source:0)
    at Unknown.java_lang_Number__1_1parseAndValidateInt__Ljava_lang_String_2IIII(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceOobsPortlet_$ResourceOobsPortlet__Lorg_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceOobsPortlet_2Ljava_lang_String_2Lorg_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceOobsPortlet_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_resource_ResourceOobsPortlet$Factory_getInstance__Ljava_lang_String_2Lorg_rhq_enterprise_gui_coregui_client_dashboard_Portlet_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_PortletFactory_buildPortlet__Ljava_lang_String_2Lorg_rhq_enterprise_gui_coregui_client_dashboard_PortletWindow_2Lorg_rhq_core_domain_dashboard_DashboardPortlet_2Lorg_rhq_enterprise_gui_coregui_client_dashboard_Portlet_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_PortletWindow_onInit__V(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_BaseWidget_doInit__V(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_Window_create__Lcom_google_gwt_core_client_JavaScriptObject_2(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_BaseWidget_$getOrCreateJsObj__Lcom_smartgwt_client_widgets_BaseWidget_2Lcom_google_gwt_core_client_JavaScriptObject_2(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_layout_Layout_$addMember__Lcom_smartgwt_client_widgets_layout_Layout_2Lcom_smartgwt_client_widgets_Canvas_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_PortalLayout_$addPortletWindow__Lorg_rhq_enterprise_gui_coregui_client_dashboard_PortalLayout_2Lorg_rhq_enterprise_gui_coregui_client_dashboard_PortletWindow_2ILorg_rhq_enterprise_gui_coregui_client_dashboard_PortalColumn_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_DashboardView_$loadPortletWindows__Lorg_rhq_enterprise_gui_coregui_client_dashboard_DashboardView_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_DashboardView_$buildPortlets__Lorg_rhq_enterprise_gui_coregui_client_dashboard_DashboardView_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_DashboardView_onInit__V(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_BaseWidget_doInit__V(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_layout_VLayout_create__Lcom_google_gwt_core_client_JavaScriptObject_2(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_BaseWidget_$getOrCreateJsObj__Lcom_smartgwt_client_widgets_BaseWidget_2Lcom_google_gwt_core_client_JavaScriptObject_2(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_layout_Layout_$addMember__Lcom_smartgwt_client_widgets_layout_Layout_2Lcom_smartgwt_client_widgets_Canvas_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_summary_ActivityView_$setDashboard__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_detail_summary_ActivityView_2Lorg_rhq_core_domain_dashboard_Dashboard_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_summary_ActivityView$1$1_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_detail_summary_ActivityView$1$1_2Lorg_rhq_core_domain_util_PageList_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_detail_summary_ActivityView$1$1_onSuccess__Ljava_lang_Object_2V(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.handleEvent(Unknown source:0)
    at Unknown.SJOWContentBoundary(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)

Comment 1 John Mazzitelli 2011-08-16 20:31:19 UTC
jay says this is part of the fast-click problem

Comment 2 Jay Shaughnessy 2011-08-17 14:43:51 UTC
Master commit: b06d1811c26d285ca30101bcb3b8d775951da2b1

Try fast clicking the resource tree, including autogroup nodes.

Comment 3 Jay Shaughnessy 2011-08-17 15:02:37 UTC
Actually, it's commit f0227303da27805124adf2c60766faaa236c1f55 but they all went in together.

Comment 4 Mike Foley 2011-08-17 19:06:32 UTC
logged new BZ 730796 while verifying this BZ.

did not see this particular error quick clicking the inventory tree.

Comment 5 Mike Foley 2012-02-07 19:26:23 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.